'Egy BASIC mintaprogram a PICDEMO panelre.
'Az A0 analog bemenet beolvassa, az eredmeny kiirja az LCD-re, es kivezerlesmerokent mukodteti az L0-7 LED-eket 
'Eloszor is kozoljuk a programmal, hol talalja az LCD-t, es hogyan akarjuk vezerelni:
 
	DEFINE LCD_DREG 	PORTD	' Az LCD adatvezeteket a D portrol vezereljuk
	DEFINE LCD_DBIT 	4	' Az elso adatvezetek az RD port 4. tagja. (Az RD4)
	DEFINE LCD_RSREG 	PORTC	' Az LCD Register Select kivezetese a C portra csatlakozik,
	DEFINE LCD_RSBIT 	0	' megpedig a 0. labra. (Tehat az LCD RS - az RC0 porton van.)
	DEFINE LCD_EREG 	PORTC	' Az enable vezerlo bit is a C porton,
	DEFINE LCD_EBIT 	1	' az RC1 portra van kiosztva. (LCD EN - RC1 port.)
	DEFINE LCD_BITS 	4	' a 4 bites uzemmodot valasztjuk,
	DEFINE LCD_LINES 	2	' es 2 soros az LCD
	
	LCDOUT $fe,1	    		' LCD torles, es iras az elso sorba
	LCDOUT "*** Mikroklub **"
	LCDOUT $fe,$C0	    		' LCD torles, es iras a masodik sorba
	LCDOUT "www.mikroklub.hu"
	
	PAUSE 3000			' 3 masodperc szunet. (Egy kis pause...)

	TRISB = %00000000	' A PORTB 0-7 mind kimenet legyen! (Itt vezereljuk majd a LED sort.)
	ADCON1 = 0		' A nullas analog port, A0 lesz beolvasva (Ide van kotve a P1 poti)
	LEDEK var byte		' Helyet foglalunk a valtozoknak a mikrokontroller RAM-jaban
	ANAL0 var byte
	LSZAM var byte
	
main:	ADCIN 0, ANAL0			' Beolvassuk az AN0 bemenetet az ANAL0 valtozoba
	LCDOUT $fe,1," Poti = ",#ANAL0	' LCD torles, es iras az elso sorba

	LSZAM = ANAL0/32	' Egy kis matek, a LED kivezerlesmerohoz. A beolvasott erteket osztjuk 32-vel
	LEDEK = %11111111	' Ez lesz a kiindulo ertek, azaz minden bit 1-es
	LEDEK = LEDEK << LSZAM	' Aztan annyi "nulla" bitet tolunk be, ahanyszor az ANAL0-ban meg volt a 32
	PORTB = LEDEK		' Az eredmnyt a betoltjuk PORTB-be, azaz kiadjuk a 8 LED-re!

	PAUSE 500		' 500 msec, azaz fl masodperc pause
	TOGGLE PORTC.7		' Az RC7 porton vezerelt L9 LED ki/bekapcsolgatsa (Mukodesjelzes)
		
	GOTO main		' Ugras a ciklus elejere, kezdodik minden ujra... 
	END	' Itt a progi vege. Ha tekergetjuk a potit, latjuk az eredmenyt az LCD-n, futnak a LED-ek
